#!/bin/bash
# {{ ansible_managed }}
#
# Create a new synonyms file for elasticsearch based on the translated SIDRE keywords
#

date +"*** %Y-%m-%d %H:%M:%S Creating synonyms file"
cd {{ internationalization_tool_dir }} && {{ internationalization_tool_dir }}/venv/bin/python3 -m internationalization.sidre.KeywordSynonymGenerator {{ base_dir }}/conf/synonym.txt
chmod +r {{ base_dir }}/conf/synonym.txt
{{ base_dir }}/bin/reload-search_analyzer.sh
date +"*** %Y-%m-%d %H:%M:%S done"
